Debian Bug report logs - #703655
ITP: ruby-em-spec -- Simple BDD API for testing asynchronous Ruby/EventMachine code

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <pravi.a@gmail.com>

Date: Thu, 21 Mar 2013 21:57:02 UTC

Owned by: Praveen Arimbrathodiyil <praveen@debian.org>

Severity: wishlist

Fixed in version ruby-em-spec/0.2.6-1

Done: Praveen Arimbrathodiyil <praveen@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#703655; Package wnpp. (Thu, 21 Mar 2013 21:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Thu, 21 Mar 2013 21:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: ruby-em-spec -- Simple BDD API for testing asynchronous Ruby/EventMachine code
Date: Fri, 22 Mar 2013 03:25:10 +0530
package: wnpp
severity: wishlist
owner: Praveen Arimbrathodiyil <praveen@debian.org>

* Homepage: https://github.com/joshbuddy/em-spec
* Version: 0.2.6
* License: unknown
(asking upstream to clarify https://github.com/joshbuddy/em-spec/issues/12)

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#703655; Package wnpp. (Thu, 21 Mar 2013 22:21:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Thu, 21 Mar 2013 22:21:10 GMT) Full text and rfc822 format available.

Message #10 received at 703655@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 703655@bugs.debian.org
Subject: 2 test failures
Date: Fri, 22 Mar 2013 03:47:42 +0530
https://github.com/joshbuddy/em-spec/issues/13
https://github.com/joshbuddy/em-spec/issues/14

-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#703655; Package wnpp. (Sun, 31 Mar 2013 10:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Sun, 31 Mar 2013 10:39:04 GMT) Full text and rfc822 format available.

Message #15 received at 703655@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 703655@bugs.debian.org
Cc: Srihari <harisulthan@gmail.com>, Cédric Boutillier <cedric.boutillier@gmail.com>, "Hemanth H.M" <hemanth.hm@gmail.com>, Vamsee Kanakala <vkanakala@gmail.com>
Subject: em-spec test failure fixed, spec still fails
Date: Sun, 31 Mar 2013 16:04:32 +0530
thanks to srihari, https://github.com/joshbuddy/em-spec/issues/13 is fixed

srihari, boutil,

I have changed ruby-tests.rake to execute test before spec and now you
can see the spec failures as well.

see if you can fix https://github.com/joshbuddy/em-spec/issues/14 as well

even more spec failures are there with rspec 2.13 from experimental
--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added indication that bug 703655 blocks 705578 Request was from Praveen A <pravi.a@gmail.com> to control@bugs.debian.org. (Wed, 17 Apr 2013 06:42:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#703655; Package wnpp. (Tue, 14 May 2013 18:39:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Tue, 14 May 2013 18:39:09 GMT) Full text and rfc822 format available.

Message #22 received at 703655@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 703655@bugs.debian.org
Subject: more test failures with rspec 2.13
Date: Wed, 15 May 2013 00:06:39 +0530
 https://github.com/joshbuddy/em-spec/issues/16

--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>:
Bug#703655; Package wnpp. (Tue, 14 May 2013 18:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen Arimbrathodiyil <praveen@debian.org>. (Tue, 14 May 2013 18:42:04 GMT) Full text and rfc822 format available.

Message #27 received at 703655@bugs.debian.org (full text, mbox):

From: Praveen A <pravi.a@gmail.com>
To: 703655@bugs.debian.org
Cc: Aman Gupta <aman@tmm1.net>
Subject: Fwd: license for em-spec
Date: Wed, 15 May 2013 00:09:15 +0530
Forwarding to bug tracker for public record.


---------- Forwarded message ----------
From: Aman Gupta <aman@tmm1.net>
Date: 2013/3/23
Subject: Re: license for em-spec
To: Praveen Arimbrathodiyil <pravi.a@gmail.com>


MIT license


On Friday, March 22, 2013, Praveen Arimbrathodiyil wrote:
>
> [adding Aman]
>
> Hi Aman,
>
> Can you clarify the license for em-spec? I can't find any mention of the
> license in the code.
>
> Thanks
> Praveen
>
> On Friday 22 March 2013 05:29 PM, Schmurfy wrote:
> > Hi,
> > you better have a look at https://github.com/joshbuddy/em-spec but I am
> > not the author and he is neither, the original is
> > here: https://github.com/tmm1/em-spec.
> >
> >
> > On 21 March 2013 22:57, Praveen A <pravi.a@gmail.com
> > <mailto:pravi.a@gmail.com>> wrote:
> >
> >     Hi Julian,
> >
> >     Can you clarify license for em-spec? I want to package it for debian.
> >
> >     Thanks
> >     Praveen
> >     --
> >     പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
> >     You have to keep reminding your government that you don't get your
> >     rights from them; you give them permission to rule, only so long as
> >     they follow the rules: laws and constitution.
> >
> >
>



--
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
You have to keep reminding your government that you don't get your
rights from them; you give them permission to rule, only so long as
they follow the rules: laws and constitution.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 20:06:34 GMT) Full text and rfc822 format available.

Reply sent to Praveen Arimbrathodiyil <praveen@debian.org>:
You have taken responsibility. (Tue, 18 Jun 2013 18:03:09 GMT) Full text and rfc822 format available.

Notification sent to Praveen A <pravi.a@gmail.com>:
Bug acknowledged by developer. (Tue, 18 Jun 2013 18:03:09 GMT) Full text and rfc822 format available.

Message #34 received at 703655-close@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <praveen@debian.org>
To: 703655-close@bugs.debian.org
Subject: Bug#703655: fixed in ruby-em-spec 0.2.6-1
Date: Tue, 18 Jun 2013 18:00:04 +0000
Source: ruby-em-spec
Source-Version: 0.2.6-1

We believe that the bug you reported is fixed in the latest version of
ruby-em-spec, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 703655@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Praveen Arimbrathodiyil <praveen@debian.org> (supplier of updated ruby-em-spec package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 22 Mar 2013 02:42:12 +0530
Source: ruby-em-spec
Binary: ruby-em-spec
Architecture: source all
Version: 0.2.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Praveen Arimbrathodiyil <praveen@debian.org>
Description: 
 ruby-em-spec - BDD for Ruby/EventMachine
Closes: 703655
Changes: 
 ruby-em-spec (0.2.6-1) unstable; urgency=low
 .
   * Initial release (Closes: #703655)
   * Patch failing tests (thanks to Srihari)
Checksums-Sha1: 
 982849f1674a9f399202d0cb534a558f701ce027 2084 ruby-em-spec_0.2.6-1.dsc
 c9e223343e62e9f5990076331b43a8e0e6203399 5722 ruby-em-spec_0.2.6.orig.tar.gz
 f6b27b055ca319364d5a2cbef0786940dbf260be 3206 ruby-em-spec_0.2.6-1.debian.tar.gz
 1c4c3e92b664a00e0b48d752b71e3e87a4c3aec9 5834 ruby-em-spec_0.2.6-1_all.deb
Checksums-Sha256: 
 40fd394feb1b8f2a6b2f728aa33534d919314e55975cc5f4781620927a7db986 2084 ruby-em-spec_0.2.6-1.dsc
 3c87593ab23b065645701904a08326fe21582f9ddcb879cd3f2aaa2f69377814 5722 ruby-em-spec_0.2.6.orig.tar.gz
 209197a7d1fadd44e331be0085f845aa374015aa32933acb52f8de1cd21b9719 3206 ruby-em-spec_0.2.6-1.debian.tar.gz
 c604511c9cd9ce23478091b4e97ec48b35a2bc8af5c91c58a60f712d95ceba03 5834 ruby-em-spec_0.2.6-1_all.deb
Files: 
 baff4f9e95016c0d6453097ac6db7640 2084 ruby optional ruby-em-spec_0.2.6-1.dsc
 13ed1f7e01ad065fc83f21a591824cab 5722 ruby optional ruby-em-spec_0.2.6.orig.tar.gz
 8bcb735c1b2ed30539e746aaf412995c 3206 ruby optional ruby-em-spec_0.2.6-1.debian.tar.gz
 83d0f5eb99b6ad26d0b7ed4563a56c26 5834 ruby optional ruby-em-spec_0.2.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRo697AAoJEM4fnGdFEsIqrDMP/R5d0dsH7Dslta2xJJTOIJlC
fJoXPOLyqroLNbycH1hPgDSnV/eJxVikX7BJRMlPNVwd8zXa6LYCl3vKXWPtwPlN
tgnMX4WJBfFED1aobKrLC2mc7T1la/0V+cXvyGkkN8X2AaTwU+SHknJVj6CKvLLi
dz7ITK+lkmqeeuBSFhXD0KVt+OGGuQ+/k38syu6n/SQ9nHoHeMT8S7gNpEGWfzz9
sJ2BKpdI+NEEvNznr2ekIuQWOYAZN5TaZgyGnL5DMpt2CtwIG5mLJaaCQ93/FQr0
im+DF/dv0ss2jxMBBx7rFxZk8fV7aAAkZGk7X8iPQVeqJPdEglohT3kd2N1SKc/X
pl6hG4UrCBe73P/nxzI0ORAIKtybGWCrNUuuwGllQfh+gTAhlpML/gyNjZacErBA
kxKpHoZ3OxSX0Fm6euSUBgfZ40U907oFk0RUj/42S5z/KyUufaBHni/26IbrdY5L
6hp4UTKf3bW9p4ASnW6nwtku/avVCwmpkBSATCBAxp1j1k+u24bTHPR5qj/AJQqc
E1dHvgR8J7/e1TT/i3c6JyI/auiLHfxUF5Wa4EdZKIVke5DZfzdtGucA3qhbm8QY
pDvWH6pYimZd9BZGOq9fbkSl3PoRvp4MDNXrhH1LS13ptGWjMGGFQuxhti7yzLyr
PHz7PbY4E0q4gyxGEoqq
=eSUG
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 17 Jul 2013 07:35:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:32:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.